# $Id: lzo.spec 3101 2005-04-04 20:13:17Z dag $
# Authority: dag
# Upstream: Markus F.X.J. Oberhumer <markus$oberhumer,com>

### EL6 ships with lzo-2.03-3.1.el6
# ExclusiveDist: el2 el3 el4 el5


Summary: Portable lossless data compression library
Name: lzo
Version: 2.06
Release: 1.3
License: GPL
Group: System Environment/Libraries
URL: http://www.oberhumer.com/opensource/lzo/

Source: http://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf
BuildRequires: gcc-c++
BuildRequires: zlib-devel
Requires: zlib >= 1.0.0
Obsoletes: lzo2 <= %{version}-%{release}

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: lzo2-devel <= %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure \
    --disable-static \
    --enable-shared
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS
%{_libdir}/liblzo2.so.*
%exclude /usr/share/doc/lzo

%files devel
%defattr(-, root, root, 0755)
%doc doc/
%{_includedir}/lzo/
%{_libdir}/liblzo2.so
%exclude %{_libdir}/liblzo2.la

%changelog
* Thu Aug  4 2011 mludvig@logix.net.nz
- Imported lzo from http://pkgs.repoforge.org/lzo/lzo-2.04-1.rf.src.rpm
